import React from 'react';
import Taro from '@tarojs/taro';
import { View, ScrollView } from '@tarojs/components';

const fullHeight = {
  height: '100%',
}

const fmBdStyle = {
  height: 'calc(100% - 80px)',
}

const fmActStyle = {
  padding: 'var(--main-space)',
  height: '80px',
}

export default (props) => {

  const { action } = props;
  
  return (
    <View style={fullHeight}>
      <View style={fmBdStyle}>
        <ScrollView scrollY style={fullHeight}>
          {props.children}
        </ScrollView>
      </View>
      <View style={fmActStyle}>{action}</View>
    </View>
  )
}
