import React from 'react';
import Taro from '@tarojs/taro';
import { View } from '@tarojs/components';
import { Cell } from '@antmjs/vantui';
import { getDtStr } from '@/utils/date';
import style from './card.module.less';

export default (props) => {
  const { item } = props;

  const url = React.useMemo(() => {
    if (item.targetType == 'issue') {

    } else if (item.targetType == 'apply') {

    }

    return '';
  }, [item])
  
  return (
    <View className={style['msg-card-wrapper']}>
      <Cell
        isLink
        url={url}
        renderTitle={(
          <View style={{ display: 'flex', justifyContent: 'space-between' }}>
            <View>
              {item?.title}
            </View>
            <View>
              {getDtStr(item?.createDate)}
            </View>
          </View>
        )}
        renderLabel={(
          <View style={{ width: '100%' }}>
            <View>
              {item?.content}
            </View>
          </View>
        )}
      />
    </View>
  )
}
