import request from '@/utils/request';

/*
 * 分页查询
 */
export const getTaIssueApply = (params) => request('/api/taIssueApply', { params });

/*
 * 新增数据
 */
export const postTaIssueApply = (data) => request('/api/taIssueApply', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
export const getTaIssueApplyById = (id) => request(`/api/taIssueApply/${id}`);

/**
 * 更新数据
 * @param {*} id
 * @param {*} data
 * @returns
 */
export const putTaIssueApply = (id, data) => request(`/api/taIssueApply/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTaIssueApply = (id) => request(`/api/taIssueApply/${id}`, { method: 'delete' });
