import React from 'react';
import { View } from '@tarojs/components';
import { Radio, RadioGroup, Row, Col, CellGroup, Cell } from '@antmjs/vantui'
import style from './choice.module.less';

export default (props) => {
  const { value } = props;
  return (
    <CellGroup className={style['cell']}>
      <Cell title="测评内容" border={false} size="large" />
      <Cell className={style['text']} title="在显著位置看到市民公约或居民公约展示" border={false} />
      <Row>
        <Col offset="3" span="12">
          <RadioGroup value={value}>
            <Cell border={false}>
              <Radio checkedColor="var(--main-bg-color)">A.符合</Radio>
            </Cell>
            <Cell border={false} className={style['radio']}>
              <Radio checkedColor="var(--main-bg-color)">B.不符合</Radio>
            </Cell>
          </RadioGroup>
        </Col>
      </Row>
    </CellGroup>
  )
}